partial_day_events/:id/track_time

Path Params
integer
required
integer
required
Body Params
string

hours worked; optional

string

id of the activity for the work; required if you are using timesheets and provide a value for work

string

member_id against whom to track the work; optional, defaults to the current user

string

low estimate for remaining work, hours (or a string such as "4h", "0.5d"); optional, must be provided if you provide high, omit or set to '0' when setting is_done

string

high estimate for remaining work, hours (or a string such as "4h", "0.5d"); optional, must be provided if you provide low, omit or set to '0' when setting is_done

string

if true, marks task as done, low and high must each be zero; if false or omitted, sets task to not done (if it is done, otherwise no effect)

string

datetime on which the task was done; valid only when is_done=true, defaults to now

string

date on which the work was performed, default today. Must be in ISO-8601 format.

string

comment to add to the task, optional

Response
200

OK

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!